*, *:before, *:after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  outline: 0;
}

html {
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
}

html,
body {
  min-height: 100vh;
  scroll-behavior: smooth;
}

img {
  display: block;
  max-width: 100%;
}

.wrapper {
  overflow: hidden;
}

ul, ol {
  list-style-type: none;
}

ol {
  counter-reset: custom-counter;
}
ol li {
  counter-increment: custom-counter;
}
ol li:before {
  content: counter(custom-counter) ".";
}

a {
  text-decoration: none;
  color: currentColor;
  cursor: pointer;
}

svg {
  display: block;
}

.content {
  position: relative;
  width: 100%;
  padding-left: 20px;
  padding-right: 20px;
  margin-left: auto;
  margin-right: auto;
  z-index: 5;
}

.title {
  font-size: 28px;
  font-weight: 700;
  line-height: 1.3;
  color: #1b354a;
}
.title span {
  color: red;
}

.subtitle {
  font-size: 22px;
  font-weight: 700;
  color: #1b354a;
}

body {
  font-family: sans-serif;
  font-size: 16px;
  line-height: 1.2;
  color: #181818;
}

picture {
  display: block;
  margin: 0 auto;
}

.header {
  position: relative;
  box-shadow: 0 8px 0 rgba(255, 255, 255, 0.8);
  background: #181818;
  color: #fff;
  display: flex;
  align-items: center;
  line-height: 1;
}
.header .content {
  display: flex;
  align-items: center;
  gap: 10px;
}
.header__search {
  display: none !important;
}
.header__nav {
  display: none;
}
.header__nav a {
  display: flex;
  font-size: 13px;
  height: 60px;
  align-items: center;
  font-weight: 700;
  text-transform: uppercase;
  transition: color 0.25s;
}
.header__nav a:hover {
  color: #8e46ff;
}
.header__dop {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 10px;
  flex: 2;
}
.header__dop a {
  display: flex;
  font-size: 13px;
  height: 40px;
  align-items: center;
  font-weight: 700;
  text-transform: uppercase;
  transition: color 0.25s;
}
.header__dop a:hover {
  color: #8e46ff;
}
.header__bg {
  gap: 5px;
  background: linear-gradient(-45deg, #3e0e89 0, #8e46ff 100%);
  padding: 0 10px;
}
.header__bg:after {
  content: "";
  width: 20px;
  height: 20px;
  background: url("../fonts/icon.svg") 0 -320px no-repeat;
  background-size: 20px auto;
  animation: heartbeat 1.6s infinite cubic-bezier(0.215, 0.61, 0.355, 1);
}
.header__burg {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 5px;
  width: 40px;
}
.header__burg:before, .header__burg:after {
  content: "";
  width: 20px;
  height: 2px;
  background: #fff;
}
.header__burg span {
  display: block;
  width: 20px;
  height: 2px;
  background: #fff;
}

.main {
  padding-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.main hr {
  height: 1px;
  border: 0;
  background: #a9a9a9;
}
.main a {
  transition: color 0.25s;
}
.main a:hover {
  color: red;
}
.main__title {
  font-size: 120%;
  text-align: center;
}
.main__top {
  color: gray;
  font-size: 13px;
  line-height: 1;
}
.main__img {
  text-align: center;
  font-size: 14px;
  font-style: italic;
  display: flex;
  flex-direction: column;
  max-width: 780px;
  margin: 0 auto;
  gap: 3px 0;
}
.main__img--grid {
  display: grid;
  grid-template-columns: repeat(13, 1fr);
  grid-template-rows: 5% auto auto auto;
  font-style: normal;
  font-weight: 700;
  max-width: 563px;
}
.main__img--grid1 {
  grid-area: 1/1/4/7;
}
.main__img--grid2 {
  grid-area: 1/8/4/14;
}
.main__img--grid3 {
  grid-area: 2/3/3/7;
  background: #fff;
  padding: 10px;
  display: flex;
  align-items: center;
}
.main__img--grid4 {
  grid-area: 2/10/3/14;
  background: #fff;
  padding: 10px;
  display: flex;
  align-items: center;
}
.main__img--grid5 {
  grid-area: 4/1/5/7;
}
.main__img--grid6 {
  grid-area: 4/8/5/14;
}
.main__img b {
  display: block;
}
.main__warning {
  font-size: 14px;
  padding: 10px;
  background: #ffe9bd;
  color: #1b5483;
}
.main__warning b {
  text-transform: uppercase;
}
.main__label {
  padding: 10px;
  background: #eadcc0;
  color: red;
}
.main__label2 {
  padding: 10px;
  background: #f8f2b4;
  border: 1px solid currentColor;
  max-width: 800px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.main__label3 {
  padding: 10px;
  background: #d3e4d2;
  border: 2px solid red;
  max-width: 800px;
  margin: 0 auto;
}
.main__list {
  display: flex;
  flex-direction: column;
  gap: 7px;
}
.main__list li {
  padding-left: 15px;
}
.main__list li:before {
  content: "";
  display: inline-block;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  background: #3e0e89;
  vertical-align: middle;
  margin: -2px 7px 0 -13px;
}
.main__list--num {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.main__list--num li {
  padding-left: 15px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.main__list--num li:before {
  position: absolute;
  width: 25px;
  display: inline-block;
  margin: 0 7px 0 -32px;
  text-align: right;
  font-weight: 700;
}
.main__list--2 li {
  position: relative;
  padding-left: 25px;
}
.main__list--2 li:before {
  position: absolute;
  top: 8px;
}
.main__list--2 li a {
  color: #3e0e89;
  text-decoration: underline;
}
.main__list--2 li a:hover {
  text-decoration: none;
}
.main__but {
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 300px;
  width: 100%;
  height: 52px;
  margin: 0 auto;
  background: linear-gradient(-45deg, #3e0e89 0, #8e46ff 100%);
  text-transform: uppercase;
  color: #fff;
  text-align: center;
  font-weight: 700;
  font-size: 24px;
  padding: 0 20px;
  transition: color 0.25s;
}
.main__but:hover {
  color: #9f68f6 !important;
}

.form {
  display: none;
  flex-direction: column;
  gap: 20px;
}
.form form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  max-width: 300px;
  width: 100%;
  margin: 0 auto;
}
.form form input:not([type=submit]) {
  padding: 5px;
  height: 42px;
  border-radius: 3px;
  border: 1px solid #000;
  width: 100%;
}
.form form button,
.form form input[type=submit] {
  width: 100%;
  background: #181818;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 50px;
  padding: 0 20px;
  font-size: 16px;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
  box-shadow: 0 4px 3px rgb(36, 33, 32);
  transition: background-color 0.25s;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.form form button:hover,
.form form input[type=submit]:hover {
  background: red;
}
.form__doorsBox {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.form__subtitle {
  font-size: 18px;
  font-weight: 700;
  text-align: center;
}
.form__title {
  font-size: 22px !important;
  font-weight: 700 !important;
  color: #ffffff !important;
  background: #3a4752;
  padding: 10px;
  border-radius: 10px;
  text-align: center;
  text-transform: uppercase;
}
.form__doors {
  display: flex;
  gap: 10px;
  justify-content: space-evenly;
}
.form__doorBox {
  position: relative;
  width: 100%;
  max-width: 190px;
  perspective: 700px;
  box-shadow: inset -1px -1px 0px 1px #191919, inset 1px 1px 0px 1px #191919;
}
.form__door {
  position: relative;
  transform: rotateY(0deg);
  transform-origin: 0 0;
  transition: transform 0.75s ease;
  cursor: pointer;
  z-index: 2;
}
.form__door:hover {
  transform: rotateY(-30deg);
}
.openDoors .form__door, .form__door.openDoor {
  transform: rotateY(-85deg);
}
.form__sale {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 20px;
  font-weight: 700;
  color: red;
  padding: 15px 10px;
  box-shadow: 0 1px 2px 2px #7F7878;
  border-radius: 30px;
  z-index: 1;
}
.form__popup {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.6);
  padding: 10px;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.25s;
  z-index: 10000;
}
.form__popup.show {
  opacity: 1;
  pointer-events: unset;
}
.form__popup.hide {
  opacity: 0;
  pointer-events: none;
}
.form__popup--box {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 85%;
  max-width: 400px;
  background: #fff;
  text-align: center;
  padding: 70px 20px 20px;
  border-radius: 10px;
}
.show .form__popup--box {
  animation: 0.7s ease 0s normal none 1 running pop-up-appear;
}
.form__popup--box:before {
  content: "";
  border-radius: 50%;
  width: 110px;
  height: 110px;
  position: absolute;
  background: #71c341;
  top: -55px;
  left: 50%;
  transform: translateX(-50%) scale(1);
  animation: 0.5s 0.6s backwards pop-up-appear-before;
}
.form__popup--box:after {
  content: "";
  position: absolute;
  width: 50px;
  height: 20px;
  top: -20px;
  left: 50%;
  border-bottom: 4px solid #fff;
  border-left: 4px solid #fff;
  transform: translateX(-50%) rotate(-45deg) scale(1);
  animation: 0.5s 0.6s backwards pop-up-appear-after;
}
.form__popup--title {
  font-size: 28px;
  font-weight: 700;
  color: #1b354a;
}
.form__popup--text {
  font-size: 16px;
  font-weight: 700;
  line-height: 1.5;
}
.form__popup--text span {
  color: red;
  text-transform: uppercase;
}
.form__popup--but {
  display: block;
  text-transform: uppercase;
  width: fit-content;
  font-size: 20px;
  border-radius: 5px;
  padding: 10px 25%;
  background: #71c341;
  color: #fff !important;
  margin: 0 auto;
  text-decoration: none;
  transition: background-color 0.25s !important;
}
.form__popup--but:hover {
  background: #70C300;
}
.form__popup--close {
  position: absolute;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  box-shadow: 0 0 10px #fff;
  right: 0;
  top: -40px;
  border: 4px solid #000;
  cursor: pointer;
  transition: border-color 0.25s;
  backdrop-filter: blur(5px);
}
.form__popup--close:before, .form__popup--close:after {
  position: absolute;
  content: "";
  width: 16px;
  height: 4px;
  background: #000;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotateZ(45deg);
  transition: background-color 0.25s;
}
.form__popup--close:after {
  transform: translate(-50%, -50%) rotateZ(-45deg);
}
.form__popup--close:hover {
  border-color: #222;
}
.form__popup--close:hover:before, .form__popup--close:hover:after {
  background: #222;
}
.form__prod {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.form__prod img {
  max-width: 200px;
}
.form__prod--label {
  position: absolute;
  top: -10px;
  left: 50%;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background: #e10000;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  font-size: 40px;
  font-weight: 700;
  clip-path: polygon(50% 0%, 54% 7%, 61% 1%, 64% 9%, 71% 4%, 72% 13%, 79% 9%, 79% 18%, 87% 16%, 84% 25%, 93% 25%, 89% 32%, 97% 34%, 92% 41%, 99% 45%, 94% 50%, 99% 55%, 93% 59%, 97% 65%, 89% 68%, 93% 75%, 84% 75%, 87% 84%, 79% 82%, 79% 90%, 72% 87%, 70% 95%, 63% 91%, 61% 99%, 54% 93%, 50% 100%, 46% 93%, 40% 99%, 37% 91%, 30% 95%, 28% 88%, 21% 90%, 21% 82%, 13% 83%, 15% 75%, 7% 75%, 11% 68%, 2% 65%, 7% 59%, 0% 55%, 7% 50%, 1% 45%, 8% 41%, 3% 34%, 11% 32%, 7% 25%, 15% 24%, 13% 16%, 21% 18%, 21% 10%, 28% 12%, 30% 4%, 37% 9%, 40% 1%, 46% 6%);
}
.form__text {
  text-align: center;
  font-size: 18px;
  font-weight: 700;
}
.form__time {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 3px;
  font-size: 20px;
  font-weight: 700;
}
.form__time span {
  color: red;
}
.form__price {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 5px;
  font-size: 20px;
  text-transform: uppercase;
}
.form__price b {
  color: red;
  font-size: 26px;
}

.comments {
  padding-top: 40px;
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.comments__title {
  font-size: 30px;
  font-weight: 700;
  color: #1b354a;
}
.comments__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.comments__item {
  display: grid;
  grid-template-columns: 58px auto;
  grid-template-rows: 22px auto;
  gap: 0 10px;
}
.comments__ava {
  grid-area: 1/1/3/2;
}
.comments__ava img {
  width: 100%;
  aspect-ratio: 1;
  border-radius: 50%;
}
.comments__name {
  grid-area: 1/2/2/3;
  font-size: 18px;
  font-weight: 700;
  color: #a40000;
}
.comments__text {
  grid-area: 2/2/3/3;
  font-size: 16px;
  line-height: 1.5;
}
.comments__text img {
  width: 100%;
  max-width: 300px;
  margin-top: 5px;
}
.comments__text a {
  color: #3e0e89;
}

.footer {
  padding: 50px 0 30px;
  text-align: center;
  font-size: 18px;
  font-weight: 700;
}

@media (min-width: 767.98px) {
  .content {
    width: 768px;
  }
  .header .content {
    justify-content: center;
  }
  .header__nav {
    display: flex;
    gap: 10px;
  }
  .header__dop {
    flex: 0 0 auto;
    width: fit-content;
  }
  .header__dop a {
    height: 60px;
  }
  .header__burg {
    display: none !important;
  }
  .header__search {
    display: flex !important;
    flex: 0 0 auto;
    width: 20px;
  }
  .header__search:before {
    content: "";
    width: 20px;
    height: 20px;
    background: url("../fonts/icon.svg") 0 -40px no-repeat;
    background-size: 20px auto;
  }
  .form__sale {
    font-size: 45px;
  }
}
@media (min-width: 1023.98px) {
  .content {
    width: 1020px;
  }
  body {
    font-size: 20px;
  }
  .header .content {
    gap: 25px;
  }
  .header__nav {
    gap: 15px;
  }
  .header__nav a {
    font-size: 16px;
  }
  .header__dop {
    gap: 15px;
  }
  .header__dop a {
    font-size: 16px;
  }
  .title {
    font-size: 44px;
  }
  .subtitle {
    font-size: 32px;
  }
  .main__warning {
    font-size: 16px;
  }
  .comments__text {
    font-size: 18px;
  }
  .comments__name {
    font-size: 20px;
  }
}
@keyframes heartbeat {
  0% {
    transform: scale(1.05);
  }
  5% {
    transform: scale(1.25);
  }
  39% {
    transform: scale(0.9);
  }
  45% {
    transform: scale(1.15);
  }
  60% {
    transform: scale(1.05);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes pop-up-appear-before {
  0% {
    transform: translateX(-50%) scale(0);
  }
  100% {
    transform: translateX(-50%) scale(1);
  }
}
@keyframes pop-up-appear-after {
  0% {
    transform: translateX(-50%) rotate(-45deg) scale(0);
  }
  100% {
    transform: translateX(-50%) rotate(-45deg) scale(1);
  }
}
@keyframes pop-up-appear {
  0% {
    transform: translateY(-2000px);
  }
  40% {
    transform: translateY(200px);
  }
  100% {
    transform: translateY(0);
  }
}
